%define debug_package %{nil}

Name:		libfwevt
Version:	20190102
Release:	1%{?dist}
Summary:	Library to support Windows XML Event Log (EVTX) data types.
Group:		System Environment/Libraries
License:	LGPL
Source:		%{name}-experimental-%{version}.tar.gz
URL:		https://github.com/libyal/libfwevt/wiki
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	autoconf automake pkgconfig gettext-devel libtool

%description
libfwevt is a library to support Windows XML Event Log (EVTX) data types.

%package devel
Summary: Header files and libraries for developing applications for libfwevt
Group: Development/Libraries
Requires: libfwevt = %{version}-%{release}

%description devel
Header files and libraries for developing applications for libfwevt.

%prep
%setup -q

%build
if [ -f synclibs.sh ]; then sh synclibs.sh; fi
if [ -f autogen.sh  ]; then sh autogen.sh;  fi
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir}
find . -type f -exec grep -l system_string_vsnprintf '{}' /dev/null \; | while read f
do
        sed --in-place s/system_string_vsnprintf/vsnprintf/g $f
done
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/libfwevt.pc
%{_includedir}/*
%{_mandir}/man3/*

%changelog
* Wed Jan  2 2019 Lawrence R. rogers <lrr@cert.org> 20190102-1
- Release 20190102-1
	Version 20190102

* Wed Jan 24 2018 Lawrence R. rogers <lrr@cert.org> 20180124-1
- Release 20180124-1
	Version 20180124

* Mon Jul 10 2017 Joachim Metz <joachim.metz@gmail.com> 20170114-1
- Auto-generated

